> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qode.world/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a candidate interview session

> Generates a unique interview link for a candidate and returns interview metadata.



## OpenAPI

````yaml /api-reference/specs/integration.yaml post /integrations/candidates/interviews
openapi: 3.0.3
info:
  title: Integration Document
  version: 1.0.0
  description: API endpoints to ingest candidate data to Qode.
  x-mint:
    mcp:
      enabled: true
servers:
  - url: https://turing.gomu.ai/api/v1/
    description: Staging
  - url: https://turing.qode.world/api/v1/
    description: Production
security:
  - bearerAuth: []
paths:
  /integrations/candidates/interviews:
    post:
      tags:
        - Interviews
      summary: Create a candidate interview session
      description: >-
        Generates a unique interview link for a candidate and returns interview
        metadata.
      operationId: createInterview
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateInterviewRequest'
      responses:
        '200':
          description: Interview session created successfully
          headers:
            X-TraceID:
              description: Trace identifier for debugging and audit tracking
              schema:
                type: string
                example: 50f02179a800185c6eb5952cbd0aeef7
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateInterviewResponse'
      security:
        - bearerAuth: []
components:
  schemas:
    CreateInterviewRequest:
      type: object
      required:
        - email
        - interview_type
      properties:
        talent_id:
          type: string
          example: TUR-001
        name:
          type: string
          example: Alan Turing
        email:
          type: string
          format: email
          example: example@gmail.com
        resume_url:
          type: string
          format: uri
          example: >-
            https://drive.google.com/file/d/1gEUDsZ1cyf0JZ-BFyTk5macyQTjh8trX/view?usp=sharing
        role_title:
          type: string
          example: Subject Matter Expert
        interview_type:
          type: string
          example: STEM
          enum:
            - STEM
            - NON_STEM
            - SOFTWARE_ENGINEER
            - DOCKER_INTERVIEW
            - DATA_SCIENTIST
            - SENIOR_STAFF_ML
            - RETAIL_OPERATOR
            - FINANCIAL_EXPERT
            - MATERIAL_EXPERT
            - MEDICAL_EXPERT
            - BUSINESS_ANALYST
            - MULTI_BUSINESS_ANALYST
            - CODE_EVALUATOR
            - DEVOPS_IAC
            - JD_CLOUD_ENGINEER
            - LEGAL_EXPERT
            - JD_MEDICAL_AI
            - JD_PHYSICAL_AI
            - JD_MATH_AI
            - JD_CHEMISTRY_AI
            - JD_BIO_AI
            - JD_SW_MCP
        language:
          type: string
          example: en
          description: >-
            zh‑Chinese, da‑Danish, nl‑Dutch, en‑English, fi‑Finnish, fr‑French,
            de‑German, id‑Indonesian, hi‑Hindi, it‑Italian, ja‑Japanese,
            ko‑Korean, ms‑Malay, no‑Norwegian, pt‑Portuguese, ru‑Russian,
            es‑Spanish, sv‑Swedish, th‑Thai, vi‑Vietnamese
          enum:
            - en
            - zh
            - es
            - fr
            - de
            - pt
            - it
            - nl
            - ja
            - ko
            - da
            - 'no'
            - sv
            - vi
            - hi
            - fi
            - ms
            - th
            - ru
            - id
        metadata:
          type: object
          example:
            req_id: AS-2025H1
    CreateInterviewResponse:
      type: object
      properties:
        interview_id:
          type: string
          example: >-
            4eb9f086-f9ce-4da8-925c-32f6b6baz44c_3173e43c-4066-48ce-a657-e505608b9b74
        candidate_id:
          type: string
          example: 3173e43c-4066-48ce-1657-e505608b9b74
        iframe_url:
          type: string
          format: uri
          example: https://turing.qode.world/interview/1ubRv
        expires_at:
          type: string
          format: date-time
          example: '2025-12-07T15:34:37.464Z'
        email:
          type: string
          format: email
          example: example@gmail.com
        talent_id:
          type: string
          nullable: true
          description: >-
            The talent ID associated with this interview. Returns null if not
            provided during creation.
          example: TUR-001
        completion_status:
          type: string
          description: Current status of the interview.
          example: SCHEDULED
          enum:
            - SCHEDULED
            - STARTED
            - NO_SHOW
            - CANDIDATE_DROP_OFF
            - TECHNICAL_GLITCH
            - INTERVIEW_COMPLETED
            - REPORT_GENERATED
            - CANDIDATE_ABORTED
        session_id:
          type: string
          nullable: true
          description: ID of an interview session
          example: 4e9e55ee-63f3-4c04-87ec-82a1823a538d
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````